QEMU graphical interfaces do not work because of not installing libvncclient0 as dependency

Bug #1462779 reported by Alberto Salvia Novella on 2015-06-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Medium
Unassigned
aqemu (Ubuntu)
Medium
Unassigned
Nominated for Vivid by Alberto Salvia Novella
qtemu (Ubuntu)
Medium
Unassigned
Nominated for Vivid by Alberto Salvia Novella

Bug Description

qemu needs libvncclient0 to work, but it isn't marked as a dependency.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: qemu 1:2.2+dfsg-5expubuntu9.1
ProcVersionSignature: Ubuntu 3.19.0-18.18-generic 3.19.6
Uname: Linux 3.19.0-18-generic x86_64
ApportVersion: 2.17.2-0ubuntu1.1
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Jun 7 18:45:16 2015
InstallationDate: Installed on 2013-05-21 (747 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
KvmCmdLine:
 COMMAND STAT EUID RUID PID PPID %CPU COMMAND
 kvm-irqfd-clean S< 0 0 341 2 0.0 [kvm-irqfd-clean]
MachineType: MEDIONPC MS-7358
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-18-generic root=UUID=7c16b6a8-52d3-4e20-94c4-933af64fd891 ro quiet splash vt.handoff=7
SourcePackage: qemu
UpgradeStatus: Upgraded to vivid on 2015-04-25 (43 days ago)
dmi.bios.date: 02/18/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: MS-7358
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: Fab D
dmi.chassis.type: 3
dmi.chassis.vendor: OEM
dmi.chassis.version: OEM
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd02/18/2008:svnMEDIONPC:pnMS-7358:pvrOEM:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-7358:rvrFabD:cvnOEM:ct3:cvrOEM:
dmi.product.name: MS-7358
dmi.product.version: OEM
dmi.sys.vendor: MEDIONPC

Changed in hundredpapercuts:
importance: Undecided → High
Changed in qemu (Ubuntu):
status: New → Triaged
Changed in hundredpapercuts:
status: New → Triaged
Serge Hallyn (serge-hallyn) wrote :

ldd doesn't show libvncclient as a dependency - can you explain exactly why qemu needs it?

Changed in qemu (Ubuntu):
status: Triaged → Incomplete

Both AQEMU and QtEmu ask for it in the Terminal. When installed they stop complaining.

Changed in qemu (Ubuntu):
status: Incomplete → Triaged
Serge Hallyn (serge-hallyn) wrote :

Then those packages need to depend on it. And in fact, they do depend on libvncclient1 .

Changed in qemu (Ubuntu):
status: Triaged → Invalid

@ Serge Hallyn

Okay, thank you. Then I will assign those to this report.

affects: qemu (Ubuntu) → aqemu (Ubuntu)
Changed in aqemu (Ubuntu):
status: Invalid → New
importance: High → Medium
Changed in hundredpapercuts:
importance: High → Medium
Changed in aqemu (Ubuntu):
status: New → Triaged
Changed in qtemu (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
summary: - The qemu package doesn't have libvncclient0 as dependency
+ QEMU graphical interfaces do not work because of not installing
+ libvncclient0 as dependency
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers